﻿///<reference path="../typings/globals/core-js/index.d.ts"/>
'use strict';

import { Component, EventEmitter, enableProdMode, NgModule, ViewChild,Inject } from '@angular/core';
import { ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';

import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjcInput from 'wijmo/wijmo.input';

import { DataSvc } from './services/DataSvc';

@Component({
    selector: 'app-cmp',
    templateUrl: '../src/AppCmp.html'
})
export class AppCmp {
    public data: wjcCore.CollectionView;
    private dataSvc: DataSvc;
    constructor( @Inject(DataSvc) _dataSvc: DataSvc) {
        this.dataSvc = _dataSvc;
        this.data = new wjcCore.CollectionView(this.dataSvc.getData(10));
    }
    @ViewChild('grid') flex: wjcGrid.FlexGrid;
    onContextMenuItemSelected(menu: wjcInput.Menu) {
        alert('You\'ve selected option ' + menu.selectedValue + ' from menu!');
    }

}
@NgModule({
    imports: [BrowserModule, FormsModule, WjGridModule, WjInputModule],
    declarations: [AppCmp],
    providers: [DataSvc],
    bootstrap: [AppCmp]
})
export class AppModule {
}


enableProdMode();
// Bootstrap application 
platformBrowserDynamic().bootstrapModule(AppModule);

