﻿///<reference path="../typings/globals/core-js/index.d.ts"/>


// 基本クラス情報インポート
'use strict';

import { Component, EventEmitter, enableProdMode, NgModule, ViewChild } from '@angular/core';
import { ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';

import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjInput from 'wijmo/wijmo.angular2.input';


// jquery用の宣言
declare var $: any; 
import { MastEmpEdit } from './SampleEdit';

export class clsWsMstEmp {
    EMP_CODE: string;
    EMP_NAME_JPN: string;
}

// メインのコンポートネント
@Component({
    selector: 'app-cmp',
    templateUrl: '../src/SampleList.html'
})
export class MastEmpList {
    // リスト表示データ格納
    mastData = new wjcCore.CollectionView();

    // コンストラクタ
    constructor() {
        let list: clsWsMstEmp[] = new Array<clsWsMstEmp>();
        var item: clsWsMstEmp = new clsWsMstEmp();
        item.EMP_CODE = "001";
        item.EMP_NAME_JPN = "AAA";
        list.push(item);
        var item: clsWsMstEmp = new clsWsMstEmp();
        item.EMP_CODE = "002";
        item.EMP_NAME_JPN = "BBB";
        list.push(item);
        var item: clsWsMstEmp = new clsWsMstEmp();
        item.EMP_CODE = "003";
        item.EMP_NAME_JPN = "CCC";
        list.push(item);

        // リストに設定(MastEmp_Search.html)
        this.mastData = new wjcCore.CollectionView(list);
    }
    @ViewChild('grid') flex: wjcGrid.FlexGrid;
    
    // リストダブルクリック時
    list_DblClick() {
        this.mastData.editItem(this.mastData.currentItem);        
        $('#dlgDetail').modal('toggle');
    }

}
@NgModule({
    imports: [BrowserModule, FormsModule, WjGridModule, WjInputModule],
    declarations: [MastEmpList, MastEmpEdit],
    providers: [],
    bootstrap: [MastEmpList]
})
export class AppModule {
}


enableProdMode();
// Bootstrap application 
platformBrowserDynamic().bootstrapModule(AppModule);

